<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.TSupervisionInspectionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.TSupervisionInspection">
        <id column="id" property="id" />
        <result column="userid" property="userid" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="dept_id" property="deptId" />
        <result column="monitor_id" property="monitorId" />
        <result column="epc" property="epc" />
        <result column="ocode" property="ocode" />
        <result column="caddress" property="caddress" />
        <result column="cprincipal" property="cprincipal" />
        <result column="ctelephone" property="ctelephone" />
        <result column="cfax" property="cfax" />
        <result column="cpostcode" property="cpostcode" />
        <result column="cprincipal_job" property="cprincipalJob" />
        <result column="cprincipal_telephone" property="cprincipalTelephone" />
        <result column="inspection_place" property="inspectionPlace" />
        <result column="inspection_time" property="inspectionTime" />
        <result column="inspection_remark" property="inspectionRemark" />
        <result column="inspection_remark2" property="inspectionRemark2" />
        <result column="inspection_remark3" property="inspectionRemark3" />
        <result column="inspection_opinion2" property="inspectionOpinion2" />
        <result column="inspection_opinion" property="inspectionOpinion" />
        <result column="inspection_details" property="inspectionDetails" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, userid, update_time, del_flag, dept_id, monitor_id, epc, ocode, caddress, cprincipal, ctelephone, cfax,
        cpostcode, cprincipal_job, cprincipal_telephone, inspection_place, inspection_time, inspection_remark,inspection_details,
        inspection_opinion,inspection_opinion2,inspection_remark3,inspection_remark2
    </sql>

</mapper>
